DSRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class DSRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.DSRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class DSRecord
      extends Record

  DS - contains a Delegation Signer record, which acts as a placeholder for KEY records in the parent zone.
  Author:
    David Blacka, Brian Wellington
  See Also:
    `DNSSEC`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DSRecord.Digest`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SHA1_DIGEST_ID`
    `static int` | `SHA256_DIGEST_ID`
    `static int` | `SHA384_DIGEST_ID`

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSRecord(Name name, int dclass, long ttl, int digestid, DNSKEYRecord key)` Creates a DS Record from the given data
    `DSRecord(Name name, int dclass, long ttl, int footprint, int alg, int digestid, byte[] digest)` Creates a DS Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlgorithm()` Returns the key's algorithm.
    `byte[]` | `getDigest()` Returns the binary hash of the key.
    `int` | `getDigestID()` Returns the key's Digest ID.
    `int` | `getFootprint()` Returns the key's footprint.

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SHA1_DIGEST_ID

          public static final int SHA1_DIGEST_ID

      See Also:
        Constant Field Values

    - #### SHA256_DIGEST_ID

          public static final int SHA256_DIGEST_ID

      See Also:
        Constant Field Values

    - #### SHA384_DIGEST_ID

          public static final int SHA384_DIGEST_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DSRecord

          public DSRecord(Name name,
                  int dclass,
                  long ttl,
                  int footprint,
                  int alg,
                  int digestid,
                  byte[] digest)

      Creates a DS Record from the given data
      Parameters:
        `footprint` - The original KEY record's footprint (keyid).
        `alg` - The original key algorithm.
        `digestid` - The digest id code.
        `digest` - A hash of the original key.

    - #### DSRecord

          public DSRecord(Name name,
                  int dclass,
                  long ttl,
                  int digestid,
                  DNSKEYRecord key)

      Creates a DS Record from the given data
      Parameters:
        `digestid` - The digest id code.
        `key` - The key to digest

  - ### Method Detail

    - #### getAlgorithm

          public int getAlgorithm()

      Returns the key's algorithm.

    - #### getDigestID

          public int getDigestID()

      Returns the key's Digest ID.

    - #### getDigest

          public byte[] getDigest()

      Returns the binary hash of the key.

    - #### getFootprint

          public int getFootprint()

      Returns the key's footprint.